### Method

# GLib Tree destroy

#### Declaration

    void
    g_tree_destroy (
      GTree* tree
    )

#### Description

Removes all keys and values from the `GTree` and decreases its reference count by one. If keys and/or values are dynamically allocated, you should either free them first or create the `GTree` using g_tree_new_full(). In the latter case the destroy functions you supplied will be called on all keys and values before destroying the `GTree`.